Get a connector
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/connectors/{connectorId} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/connectors/{connectorId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/connectors/{connectorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"automatedProjectSettings": [
{
"active": true,
"connector": {
"id": "<string>",
"name": "<string>"
},
"id": "<string>",
"name": "<string>",
"organization": {
"id": "<string>",
"name": "<string>"
},
"remoteFolder": "<string>",
"sourceLang": "<string>",
"targetLangs": [
"<string>"
]
}
],
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "<string>",
"name": "<string>"
},
"id": "<string>",
"localToken": "<string>",
"name": "<string>",
"organization": {
"id": "<string>",
"name": "<string>"
},
"type": "AEM_PLUGIN"
}{
"message": "<string>",
"status": "<string>"
}{
"message": "<string>",
"status": "<string>"
}Connector
Get a connector
Requires ADMIN, PROJECT_MANAGER, LINGUIST, or SUBMITTER role.
GET
/
api2
/
v1
/
connectors
/
{connectorId}
Get a connector
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Internal identifier of the connector; an opaque string, not numeric
Response
OK
Automated project creation settings that use this connector
Show child attributes
Show child attributes
Date and time the connector was created
Show child attributes
Show child attributes
Internal identifier of the connector; an opaque string, not numeric
Backend token identifying this connector; required by connector backend calls
Display name of the connector
Show child attributes
Show child attributes
Connector type identifier (e.g. FTP, GIT, GITHUB)
Available options:
AEM_PLUGIN, AMAZON_S3, AZURE, BITBUCKET, BITBUCKETSERVER, BLUEPRINT, BOX, BRAZE, BRAZE_MULTILANG, CONFLUENCE, CONTENTFUL, CONTENTFULENTRYLEVEL, CONTENTFUL2, CONTENTSTACK, DROPBOX, DRUPAL, DRUPAL_PLUGIN, FTP, GIT, GITHUB, GITHUB2, GITLAB, GOOGLE, GOOGLE_DRIVE2, HELPSCOUT, HUBSPOT, JOOMLA, KENTICO, KENTICO_KONTENT, MAGENTO, MARKETO, ONEDRIVE, OPTIMIZELY, PARDOT, PHRASE, SALESFORCE, SFTP, SHAREPOINT, SITECORE, TRIDION, TYPO3, VERBIS, WORDPRESS, ZENDESK Was this page helpful?